> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Redirect to the Stripe payment page for a shared payment.

> Finds the latest shared payment for the quote and redirects
the user to the Stripe checkout URL.



## OpenAPI

````yaml /openapi/freelance-internal-api.mintlify.json get /api/quote/{quoteId}/payment
openapi: 3.0.3
info:
  title: Freelance Travel App API Documentation
  description: >-
    API for the Freelance Travel App - managing users, products, cart, quotes,
    bookings, and agent integrations.
  version: 1.0.0
servers:
  - url: https://confirmation.freelancetravel.com
security:
  - default: []
tags:
  - name: Admin
    description: ''
  - name: Agent Integration
    description: |-

      APIs for managing travel agent integrations and upgrades
  - name: App Metadata
    description: ''
  - name: Authentication
    description: |-

      APIs for user authentication and account management
  - name: Caching
    description: ''
  - name: Cart & Quotes
    description: |-

      APIs for managing shopping cart items, quotes, and bookings
  - name: Discounts
    description: ''
  - name: Endpoints
    description: ''
  - name: Favourites
    description: ''
  - name: Products
    description: |-

      APIs for managing products and home feed
  - name: Redeemers
    description: ''
  - name: Shared Payments
    description: ''
  - name: System
    description: ''
paths:
  /api/quote/{quoteId}/payment:
    parameters:
      - in: path
        name: quoteId
        description: ''
        example: 16
        required: true
        schema:
          type: integer
    get:
      tags:
        - Shared Payments
      summary: Redirect to the Stripe payment page for a shared payment.
      description: |-
        Finds the latest shared payment for the quote and redirects
        the user to the Stripe checkout URL.
      operationId: redirectToTheStripePaymentPageForASharedPayment
      parameters: []
      responses:
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  success: false
                  title: Payment link not found for this quote
                  code: 400
                  data: []
                properties:
                  success:
                    type: boolean
                    example: false
                  title:
                    type: string
                    example: Payment link not found for this quote
                  code:
                    type: integer
                    example: 400
                  data:
                    type: array
                    example: []
      security: []
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token</b>.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.